Subject: Re: [RFC PATCH 00/13] hardware time stamping + igb example implementation

From: Andi Kleen <[email-masked]>
Date: Wed, 12 Nov 2008 17:06:33 +0100

As a general comment on the patch series I'm still a little sceptical
the time stamp offset method is a good idea. Since it tries to approximate
several unsynchronized clocks the result will always be of a little poor
quality, which will likely lead to problems sooner or later (or rather
require ugly workarounds in the user).

I think it would be better to just bite the bullet and add new fields
for this to the skbs. Hardware timestamps are useful enough to justify
this.

-Andi